// Code generated by moq; DO NOT EDIT.
// github.com/matryer/moq

package fakes

import (
	context "context"
	sync "sync"
	time "time"

	controller "github.com/rancher/norman/controller"
	objectclient "github.com/rancher/norman/objectclient"
	v3 "github.com/rancher/types/apis/management.cattle.io/v3"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	watch "k8s.io/apimachinery/pkg/watch"
	cache "k8s.io/client-go/tools/cache"
)

var (
	lockGlobalDNSListerMockGet  sync.RWMutex
	lockGlobalDNSListerMockList sync.RWMutex
)

// Ensure, that GlobalDNSListerMock does implement GlobalDNSLister.
// If this is not the case, regenerate this file with moq.
var _ v3.GlobalDNSLister = &GlobalDNSListerMock{}

// GlobalDNSListerMock is a mock implementation of GlobalDNSLister.
//
//     func TestSomethingThatUsesGlobalDNSLister(t *testing.T) {
//
//         // make and configure a mocked GlobalDNSLister
//         mockedGlobalDNSLister := &GlobalDNSListerMock{
//             GetFunc: func(namespace string, name string) (*v3.GlobalDNS, error) {
// 	               panic("mock out the Get method")
//             },
//             ListFunc: func(namespace string, selector labels.Selector) ([]*v3.GlobalDNS, error) {
// 	               panic("mock out the List method")
//             },
//         }
//
//         // use mockedGlobalDNSLister in code that requires GlobalDNSLister
//         // and then make assertions.
//
//     }
type GlobalDNSListerMock struct {
	// GetFunc mocks the Get method.
	GetFunc func(namespace string, name string) (*v3.GlobalDNS, error)

	// ListFunc mocks the List method.
	ListFunc func(namespace string, selector labels.Selector) ([]*v3.GlobalDNS, error)

	// calls tracks calls to the methods.
	calls struct {
		// Get holds details about calls to the Get method.
		Get []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Name is the name argument value.
			Name string
		}
		// List holds details about calls to the List method.
		List []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Selector is the selector argument value.
			Selector labels.Selector
		}
	}
}

// Get calls GetFunc.
func (mock *GlobalDNSListerMock) Get(namespace string, name string) (*v3.GlobalDNS, error) {
	if mock.GetFunc == nil {
		panic("GlobalDNSListerMock.GetFunc: method is nil but GlobalDNSLister.Get was just called")
	}
	callInfo := struct {
		Namespace string
		Name      string
	}{
		Namespace: namespace,
		Name:      name,
	}
	lockGlobalDNSListerMockGet.Lock()
	mock.calls.Get = append(mock.calls.Get, callInfo)
	lockGlobalDNSListerMockGet.Unlock()
	return mock.GetFunc(namespace, name)
}

// GetCalls gets all the calls that were made to Get.
// Check the length with:
//     len(mockedGlobalDNSLister.GetCalls())
func (mock *GlobalDNSListerMock) GetCalls() []struct {
	Namespace string
	Name      string
} {
	var calls []struct {
		Namespace string
		Name      string
	}
	lockGlobalDNSListerMockGet.RLock()
	calls = mock.calls.Get
	lockGlobalDNSListerMockGet.RUnlock()
	return calls
}

// List calls ListFunc.
func (mock *GlobalDNSListerMock) List(namespace string, selector labels.Selector) ([]*v3.GlobalDNS, error) {
	if mock.ListFunc == nil {
		panic("GlobalDNSListerMock.ListFunc: method is nil but GlobalDNSLister.List was just called")
	}
	callInfo := struct {
		Namespace string
		Selector  labels.Selector
	}{
		Namespace: namespace,
		Selector:  selector,
	}
	lockGlobalDNSListerMockList.Lock()
	mock.calls.List = append(mock.calls.List, callInfo)
	lockGlobalDNSListerMockList.Unlock()
	return mock.ListFunc(namespace, selector)
}

// ListCalls gets all the calls that were made to List.
// Check the length with:
//     len(mockedGlobalDNSLister.ListCalls())
func (mock *GlobalDNSListerMock) ListCalls() []struct {
	Namespace string
	Selector  labels.Selector
} {
	var calls []struct {
		Namespace string
		Selector  labels.Selector
	}
	lockGlobalDNSListerMockList.RLock()
	calls = mock.calls.List
	lockGlobalDNSListerMockList.RUnlock()
	return calls
}

var (
	lockGlobalDNSControllerMockAddClusterScopedFeatureHandler sync.RWMutex
	lockGlobalDNSControllerMockAddClusterScopedHandler        sync.RWMutex
	lockGlobalDNSControllerMockAddFeatureHandler              sync.RWMutex
	lockGlobalDNSControllerMockAddHandler                     sync.RWMutex
	lockGlobalDNSControllerMockEnqueue                        sync.RWMutex
	lockGlobalDNSControllerMockEnqueueAfter                   sync.RWMutex
	lockGlobalDNSControllerMockGeneric                        sync.RWMutex
	lockGlobalDNSControllerMockInformer                       sync.RWMutex
	lockGlobalDNSControllerMockLister                         sync.RWMutex
	lockGlobalDNSControllerMockStart                          sync.RWMutex
	lockGlobalDNSControllerMockSync                           sync.RWMutex
)

// Ensure, that GlobalDNSControllerMock does implement GlobalDNSController.
// If this is not the case, regenerate this file with moq.
var _ v3.GlobalDNSController = &GlobalDNSControllerMock{}

// GlobalDNSControllerMock is a mock implementation of GlobalDNSController.
//
//     func TestSomethingThatUsesGlobalDNSController(t *testing.T) {
//
//         // make and configure a mocked GlobalDNSController
//         mockedGlobalDNSController := &GlobalDNSControllerMock{
//             AddClusterScopedFeatureHandlerFunc: func(ctx context.Context, enabled func() bool, name string, clusterName string, handler v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddClusterScopedFeatureHandler method")
//             },
//             AddClusterScopedHandlerFunc: func(ctx context.Context, name string, clusterName string, handler v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddClusterScopedHandler method")
//             },
//             AddFeatureHandlerFunc: func(ctx context.Context, enabled func() bool, name string, sync v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddFeatureHandler method")
//             },
//             AddHandlerFunc: func(ctx context.Context, name string, handler v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddHandler method")
//             },
//             EnqueueFunc: func(namespace string, name string)  {
// 	               panic("mock out the Enqueue method")
//             },
//             EnqueueAfterFunc: func(namespace string, name string, after time.Duration)  {
// 	               panic("mock out the EnqueueAfter method")
//             },
//             GenericFunc: func() controller.GenericController {
// 	               panic("mock out the Generic method")
//             },
//             InformerFunc: func() cache.SharedIndexInformer {
// 	               panic("mock out the Informer method")
//             },
//             ListerFunc: func() v3.GlobalDNSLister {
// 	               panic("mock out the Lister method")
//             },
//             StartFunc: func(ctx context.Context, threadiness int) error {
// 	               panic("mock out the Start method")
//             },
//             SyncFunc: func(ctx context.Context) error {
// 	               panic("mock out the Sync method")
//             },
//         }
//
//         // use mockedGlobalDNSController in code that requires GlobalDNSController
//         // and then make assertions.
//
//     }
type GlobalDNSControllerMock struct {
	// AddClusterScopedFeatureHandlerFunc mocks the AddClusterScopedFeatureHandler method.
	AddClusterScopedFeatureHandlerFunc func(ctx context.Context, enabled func() bool, name string, clusterName string, handler v3.GlobalDNSHandlerFunc)

	// AddClusterScopedHandlerFunc mocks the AddClusterScopedHandler method.
	AddClusterScopedHandlerFunc func(ctx context.Context, name string, clusterName string, handler v3.GlobalDNSHandlerFunc)

	// AddFeatureHandlerFunc mocks the AddFeatureHandler method.
	AddFeatureHandlerFunc func(ctx context.Context, enabled func() bool, name string, sync v3.GlobalDNSHandlerFunc)

	// AddHandlerFunc mocks the AddHandler method.
	AddHandlerFunc func(ctx context.Context, name string, handler v3.GlobalDNSHandlerFunc)

	// EnqueueFunc mocks the Enqueue method.
	EnqueueFunc func(namespace string, name string)

	// EnqueueAfterFunc mocks the EnqueueAfter method.
	EnqueueAfterFunc func(namespace string, name string, after time.Duration)

	// GenericFunc mocks the Generic method.
	GenericFunc func() controller.GenericController

	// InformerFunc mocks the Informer method.
	InformerFunc func() cache.SharedIndexInformer

	// ListerFunc mocks the Lister method.
	ListerFunc func() v3.GlobalDNSLister

	// StartFunc mocks the Start method.
	StartFunc func(ctx context.Context, threadiness int) error

	// SyncFunc mocks the Sync method.
	SyncFunc func(ctx context.Context) error

	// calls tracks calls to the methods.
	calls struct {
		// AddClusterScopedFeatureHandler holds details about calls to the AddClusterScopedFeatureHandler method.
		AddClusterScopedFeatureHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Enabled is the enabled argument value.
			Enabled func() bool
			// Name is the name argument value.
			Name string
			// ClusterName is the clusterName argument value.
			ClusterName string
			// Handler is the handler argument value.
			Handler v3.GlobalDNSHandlerFunc
		}
		// AddClusterScopedHandler holds details about calls to the AddClusterScopedHandler method.
		AddClusterScopedHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Name is the name argument value.
			Name string
			// ClusterName is the clusterName argument value.
			ClusterName string
			// Handler is the handler argument value.
			Handler v3.GlobalDNSHandlerFunc
		}
		// AddFeatureHandler holds details about calls to the AddFeatureHandler method.
		AddFeatureHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Enabled is the enabled argument value.
			Enabled func() bool
			// Name is the name argument value.
			Name string
			// Sync is the sync argument value.
			Sync v3.GlobalDNSHandlerFunc
		}
		// AddHandler holds details about calls to the AddHandler method.
		AddHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Name is the name argument value.
			Name string
			// Handler is the handler argument value.
			Handler v3.GlobalDNSHandlerFunc
		}
		// Enqueue holds details about calls to the Enqueue method.
		Enqueue []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Name is the name argument value.
			Name string
		}
		// EnqueueAfter holds details about calls to the EnqueueAfter method.
		EnqueueAfter []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Name is the name argument value.
			Name string
			// After is the after argument value.
			After time.Duration
		}
		// Generic holds details about calls to the Generic method.
		Generic []struct {
		}
		// Informer holds details about calls to the Informer method.
		Informer []struct {
		}
		// Lister holds details about calls to the Lister method.
		Lister []struct {
		}
		// Start holds details about calls to the Start method.
		Start []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Threadiness is the threadiness argument value.
			Threadiness int
		}
		// Sync holds details about calls to the Sync method.
		Sync []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
		}
	}
}

// AddClusterScopedFeatureHandler calls AddClusterScopedFeatureHandlerFunc.
func (mock *GlobalDNSControllerMock) AddClusterScopedFeatureHandler(ctx context.Context, enabled func() bool, name string, clusterName string, handler v3.GlobalDNSHandlerFunc) {
	if mock.AddClusterScopedFeatureHandlerFunc == nil {
		panic("GlobalDNSControllerMock.AddClusterScopedFeatureHandlerFunc: method is nil but GlobalDNSController.AddClusterScopedFeatureHandler was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Enabled     func() bool
		Name        string
		ClusterName string
		Handler     v3.GlobalDNSHandlerFunc
	}{
		Ctx:         ctx,
		Enabled:     enabled,
		Name:        name,
		ClusterName: clusterName,
		Handler:     handler,
	}
	lockGlobalDNSControllerMockAddClusterScopedFeatureHandler.Lock()
	mock.calls.AddClusterScopedFeatureHandler = append(mock.calls.AddClusterScopedFeatureHandler, callInfo)
	lockGlobalDNSControllerMockAddClusterScopedFeatureHandler.Unlock()
	mock.AddClusterScopedFeatureHandlerFunc(ctx, enabled, name, clusterName, handler)
}

// AddClusterScopedFeatureHandlerCalls gets all the calls that were made to AddClusterScopedFeatureHandler.
// Check the length with:
//     len(mockedGlobalDNSController.AddClusterScopedFeatureHandlerCalls())
func (mock *GlobalDNSControllerMock) AddClusterScopedFeatureHandlerCalls() []struct {
	Ctx         context.Context
	Enabled     func() bool
	Name        string
	ClusterName string
	Handler     v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx         context.Context
		Enabled     func() bool
		Name        string
		ClusterName string
		Handler     v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSControllerMockAddClusterScopedFeatureHandler.RLock()
	calls = mock.calls.AddClusterScopedFeatureHandler
	lockGlobalDNSControllerMockAddClusterScopedFeatureHandler.RUnlock()
	return calls
}

// AddClusterScopedHandler calls AddClusterScopedHandlerFunc.
func (mock *GlobalDNSControllerMock) AddClusterScopedHandler(ctx context.Context, name string, clusterName string, handler v3.GlobalDNSHandlerFunc) {
	if mock.AddClusterScopedHandlerFunc == nil {
		panic("GlobalDNSControllerMock.AddClusterScopedHandlerFunc: method is nil but GlobalDNSController.AddClusterScopedHandler was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Name        string
		ClusterName string
		Handler     v3.GlobalDNSHandlerFunc
	}{
		Ctx:         ctx,
		Name:        name,
		ClusterName: clusterName,
		Handler:     handler,
	}
	lockGlobalDNSControllerMockAddClusterScopedHandler.Lock()
	mock.calls.AddClusterScopedHandler = append(mock.calls.AddClusterScopedHandler, callInfo)
	lockGlobalDNSControllerMockAddClusterScopedHandler.Unlock()
	mock.AddClusterScopedHandlerFunc(ctx, name, clusterName, handler)
}

// AddClusterScopedHandlerCalls gets all the calls that were made to AddClusterScopedHandler.
// Check the length with:
//     len(mockedGlobalDNSController.AddClusterScopedHandlerCalls())
func (mock *GlobalDNSControllerMock) AddClusterScopedHandlerCalls() []struct {
	Ctx         context.Context
	Name        string
	ClusterName string
	Handler     v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx         context.Context
		Name        string
		ClusterName string
		Handler     v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSControllerMockAddClusterScopedHandler.RLock()
	calls = mock.calls.AddClusterScopedHandler
	lockGlobalDNSControllerMockAddClusterScopedHandler.RUnlock()
	return calls
}

// AddFeatureHandler calls AddFeatureHandlerFunc.
func (mock *GlobalDNSControllerMock) AddFeatureHandler(ctx context.Context, enabled func() bool, name string, sync v3.GlobalDNSHandlerFunc) {
	if mock.AddFeatureHandlerFunc == nil {
		panic("GlobalDNSControllerMock.AddFeatureHandlerFunc: method is nil but GlobalDNSController.AddFeatureHandler was just called")
	}
	callInfo := struct {
		Ctx     context.Context
		Enabled func() bool
		Name    string
		Sync    v3.GlobalDNSHandlerFunc
	}{
		Ctx:     ctx,
		Enabled: enabled,
		Name:    name,
		Sync:    sync,
	}
	lockGlobalDNSControllerMockAddFeatureHandler.Lock()
	mock.calls.AddFeatureHandler = append(mock.calls.AddFeatureHandler, callInfo)
	lockGlobalDNSControllerMockAddFeatureHandler.Unlock()
	mock.AddFeatureHandlerFunc(ctx, enabled, name, sync)
}

// AddFeatureHandlerCalls gets all the calls that were made to AddFeatureHandler.
// Check the length with:
//     len(mockedGlobalDNSController.AddFeatureHandlerCalls())
func (mock *GlobalDNSControllerMock) AddFeatureHandlerCalls() []struct {
	Ctx     context.Context
	Enabled func() bool
	Name    string
	Sync    v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx     context.Context
		Enabled func() bool
		Name    string
		Sync    v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSControllerMockAddFeatureHandler.RLock()
	calls = mock.calls.AddFeatureHandler
	lockGlobalDNSControllerMockAddFeatureHandler.RUnlock()
	return calls
}

// AddHandler calls AddHandlerFunc.
func (mock *GlobalDNSControllerMock) AddHandler(ctx context.Context, name string, handler v3.GlobalDNSHandlerFunc) {
	if mock.AddHandlerFunc == nil {
		panic("GlobalDNSControllerMock.AddHandlerFunc: method is nil but GlobalDNSController.AddHandler was just called")
	}
	callInfo := struct {
		Ctx     context.Context
		Name    string
		Handler v3.GlobalDNSHandlerFunc
	}{
		Ctx:     ctx,
		Name:    name,
		Handler: handler,
	}
	lockGlobalDNSControllerMockAddHandler.Lock()
	mock.calls.AddHandler = append(mock.calls.AddHandler, callInfo)
	lockGlobalDNSControllerMockAddHandler.Unlock()
	mock.AddHandlerFunc(ctx, name, handler)
}

// AddHandlerCalls gets all the calls that were made to AddHandler.
// Check the length with:
//     len(mockedGlobalDNSController.AddHandlerCalls())
func (mock *GlobalDNSControllerMock) AddHandlerCalls() []struct {
	Ctx     context.Context
	Name    string
	Handler v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx     context.Context
		Name    string
		Handler v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSControllerMockAddHandler.RLock()
	calls = mock.calls.AddHandler
	lockGlobalDNSControllerMockAddHandler.RUnlock()
	return calls
}

// Enqueue calls EnqueueFunc.
func (mock *GlobalDNSControllerMock) Enqueue(namespace string, name string) {
	if mock.EnqueueFunc == nil {
		panic("GlobalDNSControllerMock.EnqueueFunc: method is nil but GlobalDNSController.Enqueue was just called")
	}
	callInfo := struct {
		Namespace string
		Name      string
	}{
		Namespace: namespace,
		Name:      name,
	}
	lockGlobalDNSControllerMockEnqueue.Lock()
	mock.calls.Enqueue = append(mock.calls.Enqueue, callInfo)
	lockGlobalDNSControllerMockEnqueue.Unlock()
	mock.EnqueueFunc(namespace, name)
}

// EnqueueCalls gets all the calls that were made to Enqueue.
// Check the length with:
//     len(mockedGlobalDNSController.EnqueueCalls())
func (mock *GlobalDNSControllerMock) EnqueueCalls() []struct {
	Namespace string
	Name      string
} {
	var calls []struct {
		Namespace string
		Name      string
	}
	lockGlobalDNSControllerMockEnqueue.RLock()
	calls = mock.calls.Enqueue
	lockGlobalDNSControllerMockEnqueue.RUnlock()
	return calls
}

// EnqueueAfter calls EnqueueAfterFunc.
func (mock *GlobalDNSControllerMock) EnqueueAfter(namespace string, name string, after time.Duration) {
	if mock.EnqueueAfterFunc == nil {
		panic("GlobalDNSControllerMock.EnqueueAfterFunc: method is nil but GlobalDNSController.EnqueueAfter was just called")
	}
	callInfo := struct {
		Namespace string
		Name      string
		After     time.Duration
	}{
		Namespace: namespace,
		Name:      name,
		After:     after,
	}
	lockGlobalDNSControllerMockEnqueueAfter.Lock()
	mock.calls.EnqueueAfter = append(mock.calls.EnqueueAfter, callInfo)
	lockGlobalDNSControllerMockEnqueueAfter.Unlock()
	mock.EnqueueAfterFunc(namespace, name, after)
}

// EnqueueAfterCalls gets all the calls that were made to EnqueueAfter.
// Check the length with:
//     len(mockedGlobalDNSController.EnqueueAfterCalls())
func (mock *GlobalDNSControllerMock) EnqueueAfterCalls() []struct {
	Namespace string
	Name      string
	After     time.Duration
} {
	var calls []struct {
		Namespace string
		Name      string
		After     time.Duration
	}
	lockGlobalDNSControllerMockEnqueueAfter.RLock()
	calls = mock.calls.EnqueueAfter
	lockGlobalDNSControllerMockEnqueueAfter.RUnlock()
	return calls
}

// Generic calls GenericFunc.
func (mock *GlobalDNSControllerMock) Generic() controller.GenericController {
	if mock.GenericFunc == nil {
		panic("GlobalDNSControllerMock.GenericFunc: method is nil but GlobalDNSController.Generic was just called")
	}
	callInfo := struct {
	}{}
	lockGlobalDNSControllerMockGeneric.Lock()
	mock.calls.Generic = append(mock.calls.Generic, callInfo)
	lockGlobalDNSControllerMockGeneric.Unlock()
	return mock.GenericFunc()
}

// GenericCalls gets all the calls that were made to Generic.
// Check the length with:
//     len(mockedGlobalDNSController.GenericCalls())
func (mock *GlobalDNSControllerMock) GenericCalls() []struct {
} {
	var calls []struct {
	}
	lockGlobalDNSControllerMockGeneric.RLock()
	calls = mock.calls.Generic
	lockGlobalDNSControllerMockGeneric.RUnlock()
	return calls
}

// Informer calls InformerFunc.
func (mock *GlobalDNSControllerMock) Informer() cache.SharedIndexInformer {
	if mock.InformerFunc == nil {
		panic("GlobalDNSControllerMock.InformerFunc: method is nil but GlobalDNSController.Informer was just called")
	}
	callInfo := struct {
	}{}
	lockGlobalDNSControllerMockInformer.Lock()
	mock.calls.Informer = append(mock.calls.Informer, callInfo)
	lockGlobalDNSControllerMockInformer.Unlock()
	return mock.InformerFunc()
}

// InformerCalls gets all the calls that were made to Informer.
// Check the length with:
//     len(mockedGlobalDNSController.InformerCalls())
func (mock *GlobalDNSControllerMock) InformerCalls() []struct {
} {
	var calls []struct {
	}
	lockGlobalDNSControllerMockInformer.RLock()
	calls = mock.calls.Informer
	lockGlobalDNSControllerMockInformer.RUnlock()
	return calls
}

// Lister calls ListerFunc.
func (mock *GlobalDNSControllerMock) Lister() v3.GlobalDNSLister {
	if mock.ListerFunc == nil {
		panic("GlobalDNSControllerMock.ListerFunc: method is nil but GlobalDNSController.Lister was just called")
	}
	callInfo := struct {
	}{}
	lockGlobalDNSControllerMockLister.Lock()
	mock.calls.Lister = append(mock.calls.Lister, callInfo)
	lockGlobalDNSControllerMockLister.Unlock()
	return mock.ListerFunc()
}

// ListerCalls gets all the calls that were made to Lister.
// Check the length with:
//     len(mockedGlobalDNSController.ListerCalls())
func (mock *GlobalDNSControllerMock) ListerCalls() []struct {
} {
	var calls []struct {
	}
	lockGlobalDNSControllerMockLister.RLock()
	calls = mock.calls.Lister
	lockGlobalDNSControllerMockLister.RUnlock()
	return calls
}

// Start calls StartFunc.
func (mock *GlobalDNSControllerMock) Start(ctx context.Context, threadiness int) error {
	if mock.StartFunc == nil {
		panic("GlobalDNSControllerMock.StartFunc: method is nil but GlobalDNSController.Start was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Threadiness int
	}{
		Ctx:         ctx,
		Threadiness: threadiness,
	}
	lockGlobalDNSControllerMockStart.Lock()
	mock.calls.Start = append(mock.calls.Start, callInfo)
	lockGlobalDNSControllerMockStart.Unlock()
	return mock.StartFunc(ctx, threadiness)
}

// StartCalls gets all the calls that were made to Start.
// Check the length with:
//     len(mockedGlobalDNSController.StartCalls())
func (mock *GlobalDNSControllerMock) StartCalls() []struct {
	Ctx         context.Context
	Threadiness int
} {
	var calls []struct {
		Ctx         context.Context
		Threadiness int
	}
	lockGlobalDNSControllerMockStart.RLock()
	calls = mock.calls.Start
	lockGlobalDNSControllerMockStart.RUnlock()
	return calls
}

// Sync calls SyncFunc.
func (mock *GlobalDNSControllerMock) Sync(ctx context.Context) error {
	if mock.SyncFunc == nil {
		panic("GlobalDNSControllerMock.SyncFunc: method is nil but GlobalDNSController.Sync was just called")
	}
	callInfo := struct {
		Ctx context.Context
	}{
		Ctx: ctx,
	}
	lockGlobalDNSControllerMockSync.Lock()
	mock.calls.Sync = append(mock.calls.Sync, callInfo)
	lockGlobalDNSControllerMockSync.Unlock()
	return mock.SyncFunc(ctx)
}

// SyncCalls gets all the calls that were made to Sync.
// Check the length with:
//     len(mockedGlobalDNSController.SyncCalls())
func (mock *GlobalDNSControllerMock) SyncCalls() []struct {
	Ctx context.Context
} {
	var calls []struct {
		Ctx context.Context
	}
	lockGlobalDNSControllerMockSync.RLock()
	calls = mock.calls.Sync
	lockGlobalDNSControllerMockSync.RUnlock()
	return calls
}

var (
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureHandler   sync.RWMutex
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureLifecycle sync.RWMutex
	lockGlobalDNSInterfaceMockAddClusterScopedHandler          sync.RWMutex
	lockGlobalDNSInterfaceMockAddClusterScopedLifecycle        sync.RWMutex
	lockGlobalDNSInterfaceMockAddFeatureHandler                sync.RWMutex
	lockGlobalDNSInterfaceMockAddFeatureLifecycle              sync.RWMutex
	lockGlobalDNSInterfaceMockAddHandler                       sync.RWMutex
	lockGlobalDNSInterfaceMockAddLifecycle                     sync.RWMutex
	lockGlobalDNSInterfaceMockController                       sync.RWMutex
	lockGlobalDNSInterfaceMockCreate                           sync.RWMutex
	lockGlobalDNSInterfaceMockDelete                           sync.RWMutex
	lockGlobalDNSInterfaceMockDeleteCollection                 sync.RWMutex
	lockGlobalDNSInterfaceMockDeleteNamespaced                 sync.RWMutex
	lockGlobalDNSInterfaceMockGet                              sync.RWMutex
	lockGlobalDNSInterfaceMockGetNamespaced                    sync.RWMutex
	lockGlobalDNSInterfaceMockList                             sync.RWMutex
	lockGlobalDNSInterfaceMockListNamespaced                   sync.RWMutex
	lockGlobalDNSInterfaceMockObjectClient                     sync.RWMutex
	lockGlobalDNSInterfaceMockUpdate                           sync.RWMutex
	lockGlobalDNSInterfaceMockWatch                            sync.RWMutex
)

// Ensure, that GlobalDNSInterfaceMock does implement GlobalDNSInterface.
// If this is not the case, regenerate this file with moq.
var _ v3.GlobalDNSInterface = &GlobalDNSInterfaceMock{}

// GlobalDNSInterfaceMock is a mock implementation of GlobalDNSInterface.
//
//     func TestSomethingThatUsesGlobalDNSInterface(t *testing.T) {
//
//         // make and configure a mocked GlobalDNSInterface
//         mockedGlobalDNSInterface := &GlobalDNSInterfaceMock{
//             AddClusterScopedFeatureHandlerFunc: func(ctx context.Context, enabled func() bool, name string, clusterName string, sync v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddClusterScopedFeatureHandler method")
//             },
//             AddClusterScopedFeatureLifecycleFunc: func(ctx context.Context, enabled func() bool, name string, clusterName string, lifecycle v3.GlobalDNSLifecycle)  {
// 	               panic("mock out the AddClusterScopedFeatureLifecycle method")
//             },
//             AddClusterScopedHandlerFunc: func(ctx context.Context, name string, clusterName string, sync v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddClusterScopedHandler method")
//             },
//             AddClusterScopedLifecycleFunc: func(ctx context.Context, name string, clusterName string, lifecycle v3.GlobalDNSLifecycle)  {
// 	               panic("mock out the AddClusterScopedLifecycle method")
//             },
//             AddFeatureHandlerFunc: func(ctx context.Context, enabled func() bool, name string, sync v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddFeatureHandler method")
//             },
//             AddFeatureLifecycleFunc: func(ctx context.Context, enabled func() bool, name string, lifecycle v3.GlobalDNSLifecycle)  {
// 	               panic("mock out the AddFeatureLifecycle method")
//             },
//             AddHandlerFunc: func(ctx context.Context, name string, sync v3.GlobalDNSHandlerFunc)  {
// 	               panic("mock out the AddHandler method")
//             },
//             AddLifecycleFunc: func(ctx context.Context, name string, lifecycle v3.GlobalDNSLifecycle)  {
// 	               panic("mock out the AddLifecycle method")
//             },
//             ControllerFunc: func() v3.GlobalDNSController {
// 	               panic("mock out the Controller method")
//             },
//             CreateFunc: func(in1 *v3.GlobalDNS) (*v3.GlobalDNS, error) {
// 	               panic("mock out the Create method")
//             },
//             DeleteFunc: func(name string, options *v1.DeleteOptions) error {
// 	               panic("mock out the Delete method")
//             },
//             DeleteCollectionFunc: func(deleteOpts *v1.DeleteOptions, listOpts v1.ListOptions) error {
// 	               panic("mock out the DeleteCollection method")
//             },
//             DeleteNamespacedFunc: func(namespace string, name string, options *v1.DeleteOptions) error {
// 	               panic("mock out the DeleteNamespaced method")
//             },
//             GetFunc: func(name string, opts v1.GetOptions) (*v3.GlobalDNS, error) {
// 	               panic("mock out the Get method")
//             },
//             GetNamespacedFunc: func(namespace string, name string, opts v1.GetOptions) (*v3.GlobalDNS, error) {
// 	               panic("mock out the GetNamespaced method")
//             },
//             ListFunc: func(opts v1.ListOptions) (*v3.GlobalDNSList, error) {
// 	               panic("mock out the List method")
//             },
//             ListNamespacedFunc: func(namespace string, opts v1.ListOptions) (*v3.GlobalDNSList, error) {
// 	               panic("mock out the ListNamespaced method")
//             },
//             ObjectClientFunc: func() *objectclient.ObjectClient {
// 	               panic("mock out the ObjectClient method")
//             },
//             UpdateFunc: func(in1 *v3.GlobalDNS) (*v3.GlobalDNS, error) {
// 	               panic("mock out the Update method")
//             },
//             WatchFunc: func(opts v1.ListOptions) (watch.Interface, error) {
// 	               panic("mock out the Watch method")
//             },
//         }
//
//         // use mockedGlobalDNSInterface in code that requires GlobalDNSInterface
//         // and then make assertions.
//
//     }
type GlobalDNSInterfaceMock struct {
	// AddClusterScopedFeatureHandlerFunc mocks the AddClusterScopedFeatureHandler method.
	AddClusterScopedFeatureHandlerFunc func(ctx context.Context, enabled func() bool, name string, clusterName string, sync v3.GlobalDNSHandlerFunc)

	// AddClusterScopedFeatureLifecycleFunc mocks the AddClusterScopedFeatureLifecycle method.
	AddClusterScopedFeatureLifecycleFunc func(ctx context.Context, enabled func() bool, name string, clusterName string, lifecycle v3.GlobalDNSLifecycle)

	// AddClusterScopedHandlerFunc mocks the AddClusterScopedHandler method.
	AddClusterScopedHandlerFunc func(ctx context.Context, name string, clusterName string, sync v3.GlobalDNSHandlerFunc)

	// AddClusterScopedLifecycleFunc mocks the AddClusterScopedLifecycle method.
	AddClusterScopedLifecycleFunc func(ctx context.Context, name string, clusterName string, lifecycle v3.GlobalDNSLifecycle)

	// AddFeatureHandlerFunc mocks the AddFeatureHandler method.
	AddFeatureHandlerFunc func(ctx context.Context, enabled func() bool, name string, sync v3.GlobalDNSHandlerFunc)

	// AddFeatureLifecycleFunc mocks the AddFeatureLifecycle method.
	AddFeatureLifecycleFunc func(ctx context.Context, enabled func() bool, name string, lifecycle v3.GlobalDNSLifecycle)

	// AddHandlerFunc mocks the AddHandler method.
	AddHandlerFunc func(ctx context.Context, name string, sync v3.GlobalDNSHandlerFunc)

	// AddLifecycleFunc mocks the AddLifecycle method.
	AddLifecycleFunc func(ctx context.Context, name string, lifecycle v3.GlobalDNSLifecycle)

	// ControllerFunc mocks the Controller method.
	ControllerFunc func() v3.GlobalDNSController

	// CreateFunc mocks the Create method.
	CreateFunc func(in1 *v3.GlobalDNS) (*v3.GlobalDNS, error)

	// DeleteFunc mocks the Delete method.
	DeleteFunc func(name string, options *v1.DeleteOptions) error

	// DeleteCollectionFunc mocks the DeleteCollection method.
	DeleteCollectionFunc func(deleteOpts *v1.DeleteOptions, listOpts v1.ListOptions) error

	// DeleteNamespacedFunc mocks the DeleteNamespaced method.
	DeleteNamespacedFunc func(namespace string, name string, options *v1.DeleteOptions) error

	// GetFunc mocks the Get method.
	GetFunc func(name string, opts v1.GetOptions) (*v3.GlobalDNS, error)

	// GetNamespacedFunc mocks the GetNamespaced method.
	GetNamespacedFunc func(namespace string, name string, opts v1.GetOptions) (*v3.GlobalDNS, error)

	// ListFunc mocks the List method.
	ListFunc func(opts v1.ListOptions) (*v3.GlobalDNSList, error)

	// ListNamespacedFunc mocks the ListNamespaced method.
	ListNamespacedFunc func(namespace string, opts v1.ListOptions) (*v3.GlobalDNSList, error)

	// ObjectClientFunc mocks the ObjectClient method.
	ObjectClientFunc func() *objectclient.ObjectClient

	// UpdateFunc mocks the Update method.
	UpdateFunc func(in1 *v3.GlobalDNS) (*v3.GlobalDNS, error)

	// WatchFunc mocks the Watch method.
	WatchFunc func(opts v1.ListOptions) (watch.Interface, error)

	// calls tracks calls to the methods.
	calls struct {
		// AddClusterScopedFeatureHandler holds details about calls to the AddClusterScopedFeatureHandler method.
		AddClusterScopedFeatureHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Enabled is the enabled argument value.
			Enabled func() bool
			// Name is the name argument value.
			Name string
			// ClusterName is the clusterName argument value.
			ClusterName string
			// Sync is the sync argument value.
			Sync v3.GlobalDNSHandlerFunc
		}
		// AddClusterScopedFeatureLifecycle holds details about calls to the AddClusterScopedFeatureLifecycle method.
		AddClusterScopedFeatureLifecycle []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Enabled is the enabled argument value.
			Enabled func() bool
			// Name is the name argument value.
			Name string
			// ClusterName is the clusterName argument value.
			ClusterName string
			// Lifecycle is the lifecycle argument value.
			Lifecycle v3.GlobalDNSLifecycle
		}
		// AddClusterScopedHandler holds details about calls to the AddClusterScopedHandler method.
		AddClusterScopedHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Name is the name argument value.
			Name string
			// ClusterName is the clusterName argument value.
			ClusterName string
			// Sync is the sync argument value.
			Sync v3.GlobalDNSHandlerFunc
		}
		// AddClusterScopedLifecycle holds details about calls to the AddClusterScopedLifecycle method.
		AddClusterScopedLifecycle []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Name is the name argument value.
			Name string
			// ClusterName is the clusterName argument value.
			ClusterName string
			// Lifecycle is the lifecycle argument value.
			Lifecycle v3.GlobalDNSLifecycle
		}
		// AddFeatureHandler holds details about calls to the AddFeatureHandler method.
		AddFeatureHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Enabled is the enabled argument value.
			Enabled func() bool
			// Name is the name argument value.
			Name string
			// Sync is the sync argument value.
			Sync v3.GlobalDNSHandlerFunc
		}
		// AddFeatureLifecycle holds details about calls to the AddFeatureLifecycle method.
		AddFeatureLifecycle []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Enabled is the enabled argument value.
			Enabled func() bool
			// Name is the name argument value.
			Name string
			// Lifecycle is the lifecycle argument value.
			Lifecycle v3.GlobalDNSLifecycle
		}
		// AddHandler holds details about calls to the AddHandler method.
		AddHandler []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Name is the name argument value.
			Name string
			// Sync is the sync argument value.
			Sync v3.GlobalDNSHandlerFunc
		}
		// AddLifecycle holds details about calls to the AddLifecycle method.
		AddLifecycle []struct {
			// Ctx is the ctx argument value.
			Ctx context.Context
			// Name is the name argument value.
			Name string
			// Lifecycle is the lifecycle argument value.
			Lifecycle v3.GlobalDNSLifecycle
		}
		// Controller holds details about calls to the Controller method.
		Controller []struct {
		}
		// Create holds details about calls to the Create method.
		Create []struct {
			// In1 is the in1 argument value.
			In1 *v3.GlobalDNS
		}
		// Delete holds details about calls to the Delete method.
		Delete []struct {
			// Name is the name argument value.
			Name string
			// Options is the options argument value.
			Options *v1.DeleteOptions
		}
		// DeleteCollection holds details about calls to the DeleteCollection method.
		DeleteCollection []struct {
			// DeleteOpts is the deleteOpts argument value.
			DeleteOpts *v1.DeleteOptions
			// ListOpts is the listOpts argument value.
			ListOpts v1.ListOptions
		}
		// DeleteNamespaced holds details about calls to the DeleteNamespaced method.
		DeleteNamespaced []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Name is the name argument value.
			Name string
			// Options is the options argument value.
			Options *v1.DeleteOptions
		}
		// Get holds details about calls to the Get method.
		Get []struct {
			// Name is the name argument value.
			Name string
			// Opts is the opts argument value.
			Opts v1.GetOptions
		}
		// GetNamespaced holds details about calls to the GetNamespaced method.
		GetNamespaced []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Name is the name argument value.
			Name string
			// Opts is the opts argument value.
			Opts v1.GetOptions
		}
		// List holds details about calls to the List method.
		List []struct {
			// Opts is the opts argument value.
			Opts v1.ListOptions
		}
		// ListNamespaced holds details about calls to the ListNamespaced method.
		ListNamespaced []struct {
			// Namespace is the namespace argument value.
			Namespace string
			// Opts is the opts argument value.
			Opts v1.ListOptions
		}
		// ObjectClient holds details about calls to the ObjectClient method.
		ObjectClient []struct {
		}
		// Update holds details about calls to the Update method.
		Update []struct {
			// In1 is the in1 argument value.
			In1 *v3.GlobalDNS
		}
		// Watch holds details about calls to the Watch method.
		Watch []struct {
			// Opts is the opts argument value.
			Opts v1.ListOptions
		}
	}
}

// AddClusterScopedFeatureHandler calls AddClusterScopedFeatureHandlerFunc.
func (mock *GlobalDNSInterfaceMock) AddClusterScopedFeatureHandler(ctx context.Context, enabled func() bool, name string, clusterName string, sync v3.GlobalDNSHandlerFunc) {
	if mock.AddClusterScopedFeatureHandlerFunc == nil {
		panic("GlobalDNSInterfaceMock.AddClusterScopedFeatureHandlerFunc: method is nil but GlobalDNSInterface.AddClusterScopedFeatureHandler was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Enabled     func() bool
		Name        string
		ClusterName string
		Sync        v3.GlobalDNSHandlerFunc
	}{
		Ctx:         ctx,
		Enabled:     enabled,
		Name:        name,
		ClusterName: clusterName,
		Sync:        sync,
	}
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureHandler.Lock()
	mock.calls.AddClusterScopedFeatureHandler = append(mock.calls.AddClusterScopedFeatureHandler, callInfo)
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureHandler.Unlock()
	mock.AddClusterScopedFeatureHandlerFunc(ctx, enabled, name, clusterName, sync)
}

// AddClusterScopedFeatureHandlerCalls gets all the calls that were made to AddClusterScopedFeatureHandler.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddClusterScopedFeatureHandlerCalls())
func (mock *GlobalDNSInterfaceMock) AddClusterScopedFeatureHandlerCalls() []struct {
	Ctx         context.Context
	Enabled     func() bool
	Name        string
	ClusterName string
	Sync        v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx         context.Context
		Enabled     func() bool
		Name        string
		ClusterName string
		Sync        v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureHandler.RLock()
	calls = mock.calls.AddClusterScopedFeatureHandler
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureHandler.RUnlock()
	return calls
}

// AddClusterScopedFeatureLifecycle calls AddClusterScopedFeatureLifecycleFunc.
func (mock *GlobalDNSInterfaceMock) AddClusterScopedFeatureLifecycle(ctx context.Context, enabled func() bool, name string, clusterName string, lifecycle v3.GlobalDNSLifecycle) {
	if mock.AddClusterScopedFeatureLifecycleFunc == nil {
		panic("GlobalDNSInterfaceMock.AddClusterScopedFeatureLifecycleFunc: method is nil but GlobalDNSInterface.AddClusterScopedFeatureLifecycle was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Enabled     func() bool
		Name        string
		ClusterName string
		Lifecycle   v3.GlobalDNSLifecycle
	}{
		Ctx:         ctx,
		Enabled:     enabled,
		Name:        name,
		ClusterName: clusterName,
		Lifecycle:   lifecycle,
	}
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureLifecycle.Lock()
	mock.calls.AddClusterScopedFeatureLifecycle = append(mock.calls.AddClusterScopedFeatureLifecycle, callInfo)
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureLifecycle.Unlock()
	mock.AddClusterScopedFeatureLifecycleFunc(ctx, enabled, name, clusterName, lifecycle)
}

// AddClusterScopedFeatureLifecycleCalls gets all the calls that were made to AddClusterScopedFeatureLifecycle.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddClusterScopedFeatureLifecycleCalls())
func (mock *GlobalDNSInterfaceMock) AddClusterScopedFeatureLifecycleCalls() []struct {
	Ctx         context.Context
	Enabled     func() bool
	Name        string
	ClusterName string
	Lifecycle   v3.GlobalDNSLifecycle
} {
	var calls []struct {
		Ctx         context.Context
		Enabled     func() bool
		Name        string
		ClusterName string
		Lifecycle   v3.GlobalDNSLifecycle
	}
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureLifecycle.RLock()
	calls = mock.calls.AddClusterScopedFeatureLifecycle
	lockGlobalDNSInterfaceMockAddClusterScopedFeatureLifecycle.RUnlock()
	return calls
}

// AddClusterScopedHandler calls AddClusterScopedHandlerFunc.
func (mock *GlobalDNSInterfaceMock) AddClusterScopedHandler(ctx context.Context, name string, clusterName string, sync v3.GlobalDNSHandlerFunc) {
	if mock.AddClusterScopedHandlerFunc == nil {
		panic("GlobalDNSInterfaceMock.AddClusterScopedHandlerFunc: method is nil but GlobalDNSInterface.AddClusterScopedHandler was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Name        string
		ClusterName string
		Sync        v3.GlobalDNSHandlerFunc
	}{
		Ctx:         ctx,
		Name:        name,
		ClusterName: clusterName,
		Sync:        sync,
	}
	lockGlobalDNSInterfaceMockAddClusterScopedHandler.Lock()
	mock.calls.AddClusterScopedHandler = append(mock.calls.AddClusterScopedHandler, callInfo)
	lockGlobalDNSInterfaceMockAddClusterScopedHandler.Unlock()
	mock.AddClusterScopedHandlerFunc(ctx, name, clusterName, sync)
}

// AddClusterScopedHandlerCalls gets all the calls that were made to AddClusterScopedHandler.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddClusterScopedHandlerCalls())
func (mock *GlobalDNSInterfaceMock) AddClusterScopedHandlerCalls() []struct {
	Ctx         context.Context
	Name        string
	ClusterName string
	Sync        v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx         context.Context
		Name        string
		ClusterName string
		Sync        v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSInterfaceMockAddClusterScopedHandler.RLock()
	calls = mock.calls.AddClusterScopedHandler
	lockGlobalDNSInterfaceMockAddClusterScopedHandler.RUnlock()
	return calls
}

// AddClusterScopedLifecycle calls AddClusterScopedLifecycleFunc.
func (mock *GlobalDNSInterfaceMock) AddClusterScopedLifecycle(ctx context.Context, name string, clusterName string, lifecycle v3.GlobalDNSLifecycle) {
	if mock.AddClusterScopedLifecycleFunc == nil {
		panic("GlobalDNSInterfaceMock.AddClusterScopedLifecycleFunc: method is nil but GlobalDNSInterface.AddClusterScopedLifecycle was just called")
	}
	callInfo := struct {
		Ctx         context.Context
		Name        string
		ClusterName string
		Lifecycle   v3.GlobalDNSLifecycle
	}{
		Ctx:         ctx,
		Name:        name,
		ClusterName: clusterName,
		Lifecycle:   lifecycle,
	}
	lockGlobalDNSInterfaceMockAddClusterScopedLifecycle.Lock()
	mock.calls.AddClusterScopedLifecycle = append(mock.calls.AddClusterScopedLifecycle, callInfo)
	lockGlobalDNSInterfaceMockAddClusterScopedLifecycle.Unlock()
	mock.AddClusterScopedLifecycleFunc(ctx, name, clusterName, lifecycle)
}

// AddClusterScopedLifecycleCalls gets all the calls that were made to AddClusterScopedLifecycle.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddClusterScopedLifecycleCalls())
func (mock *GlobalDNSInterfaceMock) AddClusterScopedLifecycleCalls() []struct {
	Ctx         context.Context
	Name        string
	ClusterName string
	Lifecycle   v3.GlobalDNSLifecycle
} {
	var calls []struct {
		Ctx         context.Context
		Name        string
		ClusterName string
		Lifecycle   v3.GlobalDNSLifecycle
	}
	lockGlobalDNSInterfaceMockAddClusterScopedLifecycle.RLock()
	calls = mock.calls.AddClusterScopedLifecycle
	lockGlobalDNSInterfaceMockAddClusterScopedLifecycle.RUnlock()
	return calls
}

// AddFeatureHandler calls AddFeatureHandlerFunc.
func (mock *GlobalDNSInterfaceMock) AddFeatureHandler(ctx context.Context, enabled func() bool, name string, sync v3.GlobalDNSHandlerFunc) {
	if mock.AddFeatureHandlerFunc == nil {
		panic("GlobalDNSInterfaceMock.AddFeatureHandlerFunc: method is nil but GlobalDNSInterface.AddFeatureHandler was just called")
	}
	callInfo := struct {
		Ctx     context.Context
		Enabled func() bool
		Name    string
		Sync    v3.GlobalDNSHandlerFunc
	}{
		Ctx:     ctx,
		Enabled: enabled,
		Name:    name,
		Sync:    sync,
	}
	lockGlobalDNSInterfaceMockAddFeatureHandler.Lock()
	mock.calls.AddFeatureHandler = append(mock.calls.AddFeatureHandler, callInfo)
	lockGlobalDNSInterfaceMockAddFeatureHandler.Unlock()
	mock.AddFeatureHandlerFunc(ctx, enabled, name, sync)
}

// AddFeatureHandlerCalls gets all the calls that were made to AddFeatureHandler.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddFeatureHandlerCalls())
func (mock *GlobalDNSInterfaceMock) AddFeatureHandlerCalls() []struct {
	Ctx     context.Context
	Enabled func() bool
	Name    string
	Sync    v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx     context.Context
		Enabled func() bool
		Name    string
		Sync    v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSInterfaceMockAddFeatureHandler.RLock()
	calls = mock.calls.AddFeatureHandler
	lockGlobalDNSInterfaceMockAddFeatureHandler.RUnlock()
	return calls
}

// AddFeatureLifecycle calls AddFeatureLifecycleFunc.
func (mock *GlobalDNSInterfaceMock) AddFeatureLifecycle(ctx context.Context, enabled func() bool, name string, lifecycle v3.GlobalDNSLifecycle) {
	if mock.AddFeatureLifecycleFunc == nil {
		panic("GlobalDNSInterfaceMock.AddFeatureLifecycleFunc: method is nil but GlobalDNSInterface.AddFeatureLifecycle was just called")
	}
	callInfo := struct {
		Ctx       context.Context
		Enabled   func() bool
		Name      string
		Lifecycle v3.GlobalDNSLifecycle
	}{
		Ctx:       ctx,
		Enabled:   enabled,
		Name:      name,
		Lifecycle: lifecycle,
	}
	lockGlobalDNSInterfaceMockAddFeatureLifecycle.Lock()
	mock.calls.AddFeatureLifecycle = append(mock.calls.AddFeatureLifecycle, callInfo)
	lockGlobalDNSInterfaceMockAddFeatureLifecycle.Unlock()
	mock.AddFeatureLifecycleFunc(ctx, enabled, name, lifecycle)
}

// AddFeatureLifecycleCalls gets all the calls that were made to AddFeatureLifecycle.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddFeatureLifecycleCalls())
func (mock *GlobalDNSInterfaceMock) AddFeatureLifecycleCalls() []struct {
	Ctx       context.Context
	Enabled   func() bool
	Name      string
	Lifecycle v3.GlobalDNSLifecycle
} {
	var calls []struct {
		Ctx       context.Context
		Enabled   func() bool
		Name      string
		Lifecycle v3.GlobalDNSLifecycle
	}
	lockGlobalDNSInterfaceMockAddFeatureLifecycle.RLock()
	calls = mock.calls.AddFeatureLifecycle
	lockGlobalDNSInterfaceMockAddFeatureLifecycle.RUnlock()
	return calls
}

// AddHandler calls AddHandlerFunc.
func (mock *GlobalDNSInterfaceMock) AddHandler(ctx context.Context, name string, sync v3.GlobalDNSHandlerFunc) {
	if mock.AddHandlerFunc == nil {
		panic("GlobalDNSInterfaceMock.AddHandlerFunc: method is nil but GlobalDNSInterface.AddHandler was just called")
	}
	callInfo := struct {
		Ctx  context.Context
		Name string
		Sync v3.GlobalDNSHandlerFunc
	}{
		Ctx:  ctx,
		Name: name,
		Sync: sync,
	}
	lockGlobalDNSInterfaceMockAddHandler.Lock()
	mock.calls.AddHandler = append(mock.calls.AddHandler, callInfo)
	lockGlobalDNSInterfaceMockAddHandler.Unlock()
	mock.AddHandlerFunc(ctx, name, sync)
}

// AddHandlerCalls gets all the calls that were made to AddHandler.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddHandlerCalls())
func (mock *GlobalDNSInterfaceMock) AddHandlerCalls() []struct {
	Ctx  context.Context
	Name string
	Sync v3.GlobalDNSHandlerFunc
} {
	var calls []struct {
		Ctx  context.Context
		Name string
		Sync v3.GlobalDNSHandlerFunc
	}
	lockGlobalDNSInterfaceMockAddHandler.RLock()
	calls = mock.calls.AddHandler
	lockGlobalDNSInterfaceMockAddHandler.RUnlock()
	return calls
}

// AddLifecycle calls AddLifecycleFunc.
func (mock *GlobalDNSInterfaceMock) AddLifecycle(ctx context.Context, name string, lifecycle v3.GlobalDNSLifecycle) {
	if mock.AddLifecycleFunc == nil {
		panic("GlobalDNSInterfaceMock.AddLifecycleFunc: method is nil but GlobalDNSInterface.AddLifecycle was just called")
	}
	callInfo := struct {
		Ctx       context.Context
		Name      string
		Lifecycle v3.GlobalDNSLifecycle
	}{
		Ctx:       ctx,
		Name:      name,
		Lifecycle: lifecycle,
	}
	lockGlobalDNSInterfaceMockAddLifecycle.Lock()
	mock.calls.AddLifecycle = append(mock.calls.AddLifecycle, callInfo)
	lockGlobalDNSInterfaceMockAddLifecycle.Unlock()
	mock.AddLifecycleFunc(ctx, name, lifecycle)
}

// AddLifecycleCalls gets all the calls that were made to AddLifecycle.
// Check the length with:
//     len(mockedGlobalDNSInterface.AddLifecycleCalls())
func (mock *GlobalDNSInterfaceMock) AddLifecycleCalls() []struct {
	Ctx       context.Context
	Name      string
	Lifecycle v3.GlobalDNSLifecycle
} {
	var calls []struct {
		Ctx       context.Context
		Name      string
		Lifecycle v3.GlobalDNSLifecycle
	}
	lockGlobalDNSInterfaceMockAddLifecycle.RLock()
	calls = mock.calls.AddLifecycle
	lockGlobalDNSInterfaceMockAddLifecycle.RUnlock()
	return calls
}

// Controller calls ControllerFunc.
func (mock *GlobalDNSInterfaceMock) Controller() v3.GlobalDNSController {
	if mock.ControllerFunc == nil {
		panic("GlobalDNSInterfaceMock.ControllerFunc: method is nil but GlobalDNSInterface.Controller was just called")
	}
	callInfo := struct {
	}{}
	lockGlobalDNSInterfaceMockController.Lock()
	mock.calls.Controller = append(mock.calls.Controller, callInfo)
	lockGlobalDNSInterfaceMockController.Unlock()
	return mock.ControllerFunc()
}

// ControllerCalls gets all the calls that were made to Controller.
// Check the length with:
//     len(mockedGlobalDNSInterface.ControllerCalls())
func (mock *GlobalDNSInterfaceMock) ControllerCalls() []struct {
} {
	var calls []struct {
	}
	lockGlobalDNSInterfaceMockController.RLock()
	calls = mock.calls.Controller
	lockGlobalDNSInterfaceMockController.RUnlock()
	return calls
}

// Create calls CreateFunc.
func (mock *GlobalDNSInterfaceMock) Create(in1 *v3.GlobalDNS) (*v3.GlobalDNS, error) {
	if mock.CreateFunc == nil {
		panic("GlobalDNSInterfaceMock.CreateFunc: method is nil but GlobalDNSInterface.Create was just called")
	}
	callInfo := struct {
		In1 *v3.GlobalDNS
	}{
		In1: in1,
	}
	lockGlobalDNSInterfaceMockCreate.Lock()
	mock.calls.Create = append(mock.calls.Create, callInfo)
	lockGlobalDNSInterfaceMockCreate.Unlock()
	return mock.CreateFunc(in1)
}

// CreateCalls gets all the calls that were made to Create.
// Check the length with:
//     len(mockedGlobalDNSInterface.CreateCalls())
func (mock *GlobalDNSInterfaceMock) CreateCalls() []struct {
	In1 *v3.GlobalDNS
} {
	var calls []struct {
		In1 *v3.GlobalDNS
	}
	lockGlobalDNSInterfaceMockCreate.RLock()
	calls = mock.calls.Create
	lockGlobalDNSInterfaceMockCreate.RUnlock()
	return calls
}

// Delete calls DeleteFunc.
func (mock *GlobalDNSInterfaceMock) Delete(name string, options *v1.DeleteOptions) error {
	if mock.DeleteFunc == nil {
		panic("GlobalDNSInterfaceMock.DeleteFunc: method is nil but GlobalDNSInterface.Delete was just called")
	}
	callInfo := struct {
		Name    string
		Options *v1.DeleteOptions
	}{
		Name:    name,
		Options: options,
	}
	lockGlobalDNSInterfaceMockDelete.Lock()
	mock.calls.Delete = append(mock.calls.Delete, callInfo)
	lockGlobalDNSInterfaceMockDelete.Unlock()
	return mock.DeleteFunc(name, options)
}

// DeleteCalls gets all the calls that were made to Delete.
// Check the length with:
//     len(mockedGlobalDNSInterface.DeleteCalls())
func (mock *GlobalDNSInterfaceMock) DeleteCalls() []struct {
	Name    string
	Options *v1.DeleteOptions
} {
	var calls []struct {
		Name    string
		Options *v1.DeleteOptions
	}
	lockGlobalDNSInterfaceMockDelete.RLock()
	calls = mock.calls.Delete
	lockGlobalDNSInterfaceMockDelete.RUnlock()
	return calls
}

// DeleteCollection calls DeleteCollectionFunc.
func (mock *GlobalDNSInterfaceMock) DeleteCollection(deleteOpts *v1.DeleteOptions, listOpts v1.ListOptions) error {
	if mock.DeleteCollectionFunc == nil {
		panic("GlobalDNSInterfaceMock.DeleteCollectionFunc: method is nil but GlobalDNSInterface.DeleteCollection was just called")
	}
	callInfo := struct {
		DeleteOpts *v1.DeleteOptions
		ListOpts   v1.ListOptions
	}{
		DeleteOpts: deleteOpts,
		ListOpts:   listOpts,
	}
	lockGlobalDNSInterfaceMockDeleteCollection.Lock()
	mock.calls.DeleteCollection = append(mock.calls.DeleteCollection, callInfo)
	lockGlobalDNSInterfaceMockDeleteCollection.Unlock()
	return mock.DeleteCollectionFunc(deleteOpts, listOpts)
}

// DeleteCollectionCalls gets all the calls that were made to DeleteCollection.
// Check the length with:
//     len(mockedGlobalDNSInterface.DeleteCollectionCalls())
func (mock *GlobalDNSInterfaceMock) DeleteCollectionCalls() []struct {
	DeleteOpts *v1.DeleteOptions
	ListOpts   v1.ListOptions
} {
	var calls []struct {
		DeleteOpts *v1.DeleteOptions
		ListOpts   v1.ListOptions
	}
	lockGlobalDNSInterfaceMockDeleteCollection.RLock()
	calls = mock.calls.DeleteCollection
	lockGlobalDNSInterfaceMockDeleteCollection.RUnlock()
	return calls
}

// DeleteNamespaced calls DeleteNamespacedFunc.
func (mock *GlobalDNSInterfaceMock) DeleteNamespaced(namespace string, name string, options *v1.DeleteOptions) error {
	if mock.DeleteNamespacedFunc == nil {
		panic("GlobalDNSInterfaceMock.DeleteNamespacedFunc: method is nil but GlobalDNSInterface.DeleteNamespaced was just called")
	}
	callInfo := struct {
		Namespace string
		Name      string
		Options   *v1.DeleteOptions
	}{
		Namespace: namespace,
		Name:      name,
		Options:   options,
	}
	lockGlobalDNSInterfaceMockDeleteNamespaced.Lock()
	mock.calls.DeleteNamespaced = append(mock.calls.DeleteNamespaced, callInfo)
	lockGlobalDNSInterfaceMockDeleteNamespaced.Unlock()
	return mock.DeleteNamespacedFunc(namespace, name, options)
}

// DeleteNamespacedCalls gets all the calls that were made to DeleteNamespaced.
// Check the length with:
//     len(mockedGlobalDNSInterface.DeleteNamespacedCalls())
func (mock *GlobalDNSInterfaceMock) DeleteNamespacedCalls() []struct {
	Namespace string
	Name      string
	Options   *v1.DeleteOptions
} {
	var calls []struct {
		Namespace string
		Name      string
		Options   *v1.DeleteOptions
	}
	lockGlobalDNSInterfaceMockDeleteNamespaced.RLock()
	calls = mock.calls.DeleteNamespaced
	lockGlobalDNSInterfaceMockDeleteNamespaced.RUnlock()
	return calls
}

// Get calls GetFunc.
func (mock *GlobalDNSInterfaceMock) Get(name string, opts v1.GetOptions) (*v3.GlobalDNS, error) {
	if mock.GetFunc == nil {
		panic("GlobalDNSInterfaceMock.GetFunc: method is nil but GlobalDNSInterface.Get was just called")
	}
	callInfo := struct {
		Name string
		Opts v1.GetOptions
	}{
		Name: name,
		Opts: opts,
	}
	lockGlobalDNSInterfaceMockGet.Lock()
	mock.calls.Get = append(mock.calls.Get, callInfo)
	lockGlobalDNSInterfaceMockGet.Unlock()
	return mock.GetFunc(name, opts)
}

// GetCalls gets all the calls that were made to Get.
// Check the length with:
//     len(mockedGlobalDNSInterface.GetCalls())
func (mock *GlobalDNSInterfaceMock) GetCalls() []struct {
	Name string
	Opts v1.GetOptions
} {
	var calls []struct {
		Name string
		Opts v1.GetOptions
	}
	lockGlobalDNSInterfaceMockGet.RLock()
	calls = mock.calls.Get
	lockGlobalDNSInterfaceMockGet.RUnlock()
	return calls
}

// GetNamespaced calls GetNamespacedFunc.
func (mock *GlobalDNSInterfaceMock) GetNamespaced(namespace string, name string, opts v1.GetOptions) (*v3.GlobalDNS, error) {
	if mock.GetNamespacedFunc == nil {
		panic("GlobalDNSInterfaceMock.GetNamespacedFunc: method is nil but GlobalDNSInterface.GetNamespaced was just called")
	}
	callInfo := struct {
		Namespace string
		Name      string
		Opts      v1.GetOptions
	}{
		Namespace: namespace,
		Name:      name,
		Opts:      opts,
	}
	lockGlobalDNSInterfaceMockGetNamespaced.Lock()
	mock.calls.GetNamespaced = append(mock.calls.GetNamespaced, callInfo)
	lockGlobalDNSInterfaceMockGetNamespaced.Unlock()
	return mock.GetNamespacedFunc(namespace, name, opts)
}

// GetNamespacedCalls gets all the calls that were made to GetNamespaced.
// Check the length with:
//     len(mockedGlobalDNSInterface.GetNamespacedCalls())
func (mock *GlobalDNSInterfaceMock) GetNamespacedCalls() []struct {
	Namespace string
	Name      string
	Opts      v1.GetOptions
} {
	var calls []struct {
		Namespace string
		Name      string
		Opts      v1.GetOptions
	}
	lockGlobalDNSInterfaceMockGetNamespaced.RLock()
	calls = mock.calls.GetNamespaced
	lockGlobalDNSInterfaceMockGetNamespaced.RUnlock()
	return calls
}

// List calls ListFunc.
func (mock *GlobalDNSInterfaceMock) List(opts v1.ListOptions) (*v3.GlobalDNSList, error) {
	if mock.ListFunc == nil {
		panic("GlobalDNSInterfaceMock.ListFunc: method is nil but GlobalDNSInterface.List was just called")
	}
	callInfo := struct {
		Opts v1.ListOptions
	}{
		Opts: opts,
	}
	lockGlobalDNSInterfaceMockList.Lock()
	mock.calls.List = append(mock.calls.List, callInfo)
	lockGlobalDNSInterfaceMockList.Unlock()
	return mock.ListFunc(opts)
}

// ListCalls gets all the calls that were made to List.
// Check the length with:
//     len(mockedGlobalDNSInterface.ListCalls())
func (mock *GlobalDNSInterfaceMock) ListCalls() []struct {
	Opts v1.ListOptions
} {
	var calls []struct {
		Opts v1.ListOptions
	}
	lockGlobalDNSInterfaceMockList.RLock()
	calls = mock.calls.List
	lockGlobalDNSInterfaceMockList.RUnlock()
	return calls
}

// ListNamespaced calls ListNamespacedFunc.
func (mock *GlobalDNSInterfaceMock) ListNamespaced(namespace string, opts v1.ListOptions) (*v3.GlobalDNSList, error) {
	if mock.ListNamespacedFunc == nil {
		panic("GlobalDNSInterfaceMock.ListNamespacedFunc: method is nil but GlobalDNSInterface.ListNamespaced was just called")
	}
	callInfo := struct {
		Namespace string
		Opts      v1.ListOptions
	}{
		Namespace: namespace,
		Opts:      opts,
	}
	lockGlobalDNSInterfaceMockListNamespaced.Lock()
	mock.calls.ListNamespaced = append(mock.calls.ListNamespaced, callInfo)
	lockGlobalDNSInterfaceMockListNamespaced.Unlock()
	return mock.ListNamespacedFunc(namespace, opts)
}

// ListNamespacedCalls gets all the calls that were made to ListNamespaced.
// Check the length with:
//     len(mockedGlobalDNSInterface.ListNamespacedCalls())
func (mock *GlobalDNSInterfaceMock) ListNamespacedCalls() []struct {
	Namespace string
	Opts      v1.ListOptions
} {
	var calls []struct {
		Namespace string
		Opts      v1.ListOptions
	}
	lockGlobalDNSInterfaceMockListNamespaced.RLock()
	calls = mock.calls.ListNamespaced
	lockGlobalDNSInterfaceMockListNamespaced.RUnlock()
	return calls
}

// ObjectClient calls ObjectClientFunc.
func (mock *GlobalDNSInterfaceMock) ObjectClient() *objectclient.ObjectClient {
	if mock.ObjectClientFunc == nil {
		panic("GlobalDNSInterfaceMock.ObjectClientFunc: method is nil but GlobalDNSInterface.ObjectClient was just called")
	}
	callInfo := struct {
	}{}
	lockGlobalDNSInterfaceMockObjectClient.Lock()
	mock.calls.ObjectClient = append(mock.calls.ObjectClient, callInfo)
	lockGlobalDNSInterfaceMockObjectClient.Unlock()
	return mock.ObjectClientFunc()
}

// ObjectClientCalls gets all the calls that were made to ObjectClient.
// Check the length with:
//     len(mockedGlobalDNSInterface.ObjectClientCalls())
func (mock *GlobalDNSInterfaceMock) ObjectClientCalls() []struct {
} {
	var calls []struct {
	}
	lockGlobalDNSInterfaceMockObjectClient.RLock()
	calls = mock.calls.ObjectClient
	lockGlobalDNSInterfaceMockObjectClient.RUnlock()
	return calls
}

// Update calls UpdateFunc.
func (mock *GlobalDNSInterfaceMock) Update(in1 *v3.GlobalDNS) (*v3.GlobalDNS, error) {
	if mock.UpdateFunc == nil {
		panic("GlobalDNSInterfaceMock.UpdateFunc: method is nil but GlobalDNSInterface.Update was just called")
	}
	callInfo := struct {
		In1 *v3.GlobalDNS
	}{
		In1: in1,
	}
	lockGlobalDNSInterfaceMockUpdate.Lock()
	mock.calls.Update = append(mock.calls.Update, callInfo)
	lockGlobalDNSInterfaceMockUpdate.Unlock()
	return mock.UpdateFunc(in1)
}

// UpdateCalls gets all the calls that were made to Update.
// Check the length with:
//     len(mockedGlobalDNSInterface.UpdateCalls())
func (mock *GlobalDNSInterfaceMock) UpdateCalls() []struct {
	In1 *v3.GlobalDNS
} {
	var calls []struct {
		In1 *v3.GlobalDNS
	}
	lockGlobalDNSInterfaceMockUpdate.RLock()
	calls = mock.calls.Update
	lockGlobalDNSInterfaceMockUpdate.RUnlock()
	return calls
}

// Watch calls WatchFunc.
func (mock *GlobalDNSInterfaceMock) Watch(opts v1.ListOptions) (watch.Interface, error) {
	if mock.WatchFunc == nil {
		panic("GlobalDNSInterfaceMock.WatchFunc: method is nil but GlobalDNSInterface.Watch was just called")
	}
	callInfo := struct {
		Opts v1.ListOptions
	}{
		Opts: opts,
	}
	lockGlobalDNSInterfaceMockWatch.Lock()
	mock.calls.Watch = append(mock.calls.Watch, callInfo)
	lockGlobalDNSInterfaceMockWatch.Unlock()
	return mock.WatchFunc(opts)
}

// WatchCalls gets all the calls that were made to Watch.
// Check the length with:
//     len(mockedGlobalDNSInterface.WatchCalls())
func (mock *GlobalDNSInterfaceMock) WatchCalls() []struct {
	Opts v1.ListOptions
} {
	var calls []struct {
		Opts v1.ListOptions
	}
	lockGlobalDNSInterfaceMockWatch.RLock()
	calls = mock.calls.Watch
	lockGlobalDNSInterfaceMockWatch.RUnlock()
	return calls
}

var (
	lockGlobalDNSsGetterMockGlobalDNSs sync.RWMutex
)

// Ensure, that GlobalDNSsGetterMock does implement GlobalDNSsGetter.
// If this is not the case, regenerate this file with moq.
var _ v3.GlobalDNSsGetter = &GlobalDNSsGetterMock{}

// GlobalDNSsGetterMock is a mock implementation of GlobalDNSsGetter.
//
//     func TestSomethingThatUsesGlobalDNSsGetter(t *testing.T) {
//
//         // make and configure a mocked GlobalDNSsGetter
//         mockedGlobalDNSsGetter := &GlobalDNSsGetterMock{
//             GlobalDNSsFunc: func(namespace string) v3.GlobalDNSInterface {
// 	               panic("mock out the GlobalDNSs method")
//             },
//         }
//
//         // use mockedGlobalDNSsGetter in code that requires GlobalDNSsGetter
//         // and then make assertions.
//
//     }
type GlobalDNSsGetterMock struct {
	// GlobalDNSsFunc mocks the GlobalDNSs method.
	GlobalDNSsFunc func(namespace string) v3.GlobalDNSInterface

	// calls tracks calls to the methods.
	calls struct {
		// GlobalDNSs holds details about calls to the GlobalDNSs method.
		GlobalDNSs []struct {
			// Namespace is the namespace argument value.
			Namespace string
		}
	}
}

// GlobalDNSs calls GlobalDNSsFunc.
func (mock *GlobalDNSsGetterMock) GlobalDNSs(namespace string) v3.GlobalDNSInterface {
	if mock.GlobalDNSsFunc == nil {
		panic("GlobalDNSsGetterMock.GlobalDNSsFunc: method is nil but GlobalDNSsGetter.GlobalDNSs was just called")
	}
	callInfo := struct {
		Namespace string
	}{
		Namespace: namespace,
	}
	lockGlobalDNSsGetterMockGlobalDNSs.Lock()
	mock.calls.GlobalDNSs = append(mock.calls.GlobalDNSs, callInfo)
	lockGlobalDNSsGetterMockGlobalDNSs.Unlock()
	return mock.GlobalDNSsFunc(namespace)
}

// GlobalDNSsCalls gets all the calls that were made to GlobalDNSs.
// Check the length with:
//     len(mockedGlobalDNSsGetter.GlobalDNSsCalls())
func (mock *GlobalDNSsGetterMock) GlobalDNSsCalls() []struct {
	Namespace string
} {
	var calls []struct {
		Namespace string
	}
	lockGlobalDNSsGetterMockGlobalDNSs.RLock()
	calls = mock.calls.GlobalDNSs
	lockGlobalDNSsGetterMockGlobalDNSs.RUnlock()
	return calls
}
